#External Route Templates
ext="ext-ENV-SVC"
extsoap=$ext+"-soap"
extauth=$extsoap+"-authentication"
extswagger=$ext+"-swagger"
#Route Templates
rt="ENV-SVC"
health=$rt+"-health"
swagger=$rt+"-swagger"
soap=$rt+"-soap"
nginx=$soap+"-nginx"
notification=$soap+"-notification"
external=$rt+"-external"
rt_v2=$rt+"-v2"
soap_v2=$soap+"-v2"
auth=$rt+"-authentication"

#Service Route Definitions
account-svc=($ext, $extsoap, $rt, $health, $soap)
account-transaction-svc=($ext, $rt, $health)
alert-delivery-svc=($ext, $extsoap, $rt, $health, $soap, $nginx)
alert-svc=($ext, $rt, $health)
authentication-svc=($ext, $extsoap, $extauth, $rt, $health, $soap, $auth)
beneficiary-svc=($ext, $rt, $health)
billpay-svc=($ext, $swagger+"-v1", $rt, $health)
booster-svc=($ext, $ext+"-v2", $rt, $health, $rt_v2)
bucket-svc=($ext, $rt, $health)
cesync-svc=($ext, $rt, $health)
check-image-svc=($ext, $rt, $health)
corpoae-pullupdates-svc=($extsoap, $health, $soap)
correspondence-svc=($ext, $extsoap, $extsoap+"-v2", $rt, $health, $soap, $soap_v2)
crmcase-svc=($ext, $extsoap, $rt, $health, $soap)
customer-retirement-plan-svc=($ext, $extsoap, $rt, $health, $soap)
customer-svc=($ext, $extsoap, $extsoap+"-customertaskmanager", $rt, $health, $soap, $soap+"-customertaskmanager")
debit-card-control-svc=($ext, $extswagger, $rt, $health, $swagger)
debit-card-mgmt-svc=($ext, $rt, $health)
debit-card-notification-svc=($ext, $extswagger, $rt, $health, $swagger)
debit-card-order-job-svc=($ext, $extswagger, $rt, $health, $swagger)
debit-card-svc=($ext, $extswagger, $rt, $health, $swagger)
debit-card-transaction-svc=($ext, $extswagger, $rt, $health, $swagger)
deposit-account-svc=($ext, $extsoap, $rt, $health, $soap, $nginx)
deposit-application-svc=($extsoap, $extsoap+"-depositapplicationmanager", $heatlh, $soap, $soap+"depositapplicationmanager")
disclosure-svc=($ext, $extsoap, $rt, $health, $soap)
dispute-svc=($ext, $rt, $health)
document-svc=($ext, $extsoap, $extsoap+"-dapi", $rt, $health, $soap, $soap+"-dapi")
event-listener-svc=($ext, $rt, $health)
external-verification-svc=("ext-ENV-SVC", $rt, $health)
fedach-svc=($ext, $rt, $health)
fedwire-import-svc=($ext, $rt, $health)
financial-institution-svc=($ext, $extsoap, $rt, $health, $soap)
inbound-proxy-svc=($ext, $rt, $health)
invest-transfer-svc=($ext, $rt, $health)
location-svc=($ext, $rt, $health)
ops-svc=($ext, $rt, $health)
order-check-svc=($ext, $rt, $health)
party-producer-svc=($extsoap, $extsoap+"notification", $health, $soap, $soap+"-notification")
partyverification-svc=($ext, $extsoap, $extsoap+"-partyrating", $rt, $health, $soap, $soap+"partyrating")
personetics-svc=($ext, $rt, $health)
product-svc=($ext, $rt, $health)
remote-deposits-capture-v2-svc=($ext, $extswagger, $extswagger+"-v2", $rt, $health, $external, swagger, swagger+"-v2")
savings-chart-data-svc=($ext, $rt, $health)
secobj-svc=($extsoap, $health, $soap)
secure-message-svc=($ext, $rt, $health)
spend-bucket-svc=($ext, $ext+"-v2", $rt, $rt+"-v2")
sso=($ext, $rt, $health)
statement-svc=($ext, $rt, $health)
stk-account-svc=($ext, $rt, $health)
stk-async-batch-svc=($ext, $rt, $health)
stk-ext-xfer-batch-svc=($ext, $rt, $health)
stk-int-xfer-batch-svc=($ext, $rt, $health)
stop-check-svc=($ext, $rt, $health)
transfer-svc=($ext, $extsoap, $extsoap+"-v2", $rt, $health, $soap, $soap_v2)
wire-svc=($ext, $extsoap, $extswagger, $rt, $health, $soap)
zelle-v2-svc=($ext, $rt, $health)
